package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonPopedomIcon;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface PersonPopedomIconService {
	PersonPopedomIcon get(String id);
	boolean exist(String id);
	int insert(PersonPopedomIcon model);
	int update(PersonPopedomIcon model);
	int delete(String id);
	List<PersonPopedomIcon> list();
	Page<PersonPopedomIcon> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<PersonPopedomIcon> findByPersonPopedomId(String personPopedomId);
    int deleteByPersonPopedomId(String personPopedomId);

	PersonPopedomIcon findByPersonIdAndIconName(Long personId, String iconName);
}